Bug 1886554 (CVE-2020-8264) - CVE-2020-8264 rubygem-actionpack: possible XSS vulnerability in Action Pack in development mode
Summary: CVE-2020-8264 rubygem-actionpack: possible XSS vulnerability in Action Pack i...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-8264
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1886555
TreeView+ depends on / blocked
 
Reported: 2020-10-08 18:22 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-16 19:08 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in rubygem-actionpack. A XSS vulnerability in Action Pack's Actionable Exceptions middleware while the application server is in development mode is possible. The highest threat from this vulnerability is to data confidentiality and integrity.
Clone Of:
Environment:
Last Closed: 2020-10-09 20:21:12 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-10-08 18:22:44 UTC
There is a possible XSS vulnerability in Action Pack while the application server is in development mode. This vulnerability is in the Actionable Exceptions middleware.

Reference:
https://groups.google.com/g/rubyonrails-security/c/yQzUVfv42jk/m/oJWw-xhNAQAJ

Comment 3 Yadnyawalk Tale 2020-10-09 18:20:16 UTC
Statement:

Red Hat products ships rubygem-actionpack, however, those are supposed to be run in production mode. This issue only impacts development mode, therefore mentioned products are not affected by this flaw.

Comment 4 Yadnyawalk Tale 2020-10-09 18:20:20 UTC
External References:

https://groups.google.com/g/rubyonrails-security/c/yQzUVfv42jk/m/oJWw-xhNAQAJ

Comment 5 Product Security DevOps Team 2020-10-09 20:21:12 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-8264


Note You need to log in before you can comment on or make changes to this bug.